Skip to navigation

Get wallets

View as Markdown
List a customer's Agent Wallets.

Authentication

x-api-keystring

Account API key used to authenticate server-side requests. Use the credentials issued for the same environment as the API base URL.

Path parameters

idstringRequired
Unique identifier of the resource.

Query parameters

statusenumOptional
Only wallets in this state.
Allowed values:
limitintegerOptional1-100Defaults to 20
Maximum number of records to return.
cursorstringOptional

Cursor returned as next_cursor from the previous response. Omit for the first request.

Response

Wallets retrieved successfully.
messagestring
datalist of objects
metaobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error